aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Junghans <ottxor@gentoo.org>2013-10-09 16:08:46 +0200
committerChristoph Junghans <ottxor@gentoo.org>2013-10-09 16:08:46 +0200
commit16e5aef3c63fa28cb2655e38cbda022b2f0cb40b (patch)
tree5815f66005f652df733f1600591dbeafaf9c01a7 /sci-physics/espresso++
parentapp-doc/root-docs: use --honowto in configure (diff)
downloadsci-16e5aef3c63fa28cb2655e38cbda022b2f0cb40b.tar.gz
sci-16e5aef3c63fa28cb2655e38cbda022b2f0cb40b.tar.bz2
sci-16e5aef3c63fa28cb2655e38cbda022b2f0cb40b.zip
sync with gx86
Package-Manager: portage-2.2.1
Diffstat (limited to 'sci-physics/espresso++')
-rw-r--r--sci-physics/espresso++/ChangeLog3
-rw-r--r--sci-physics/espresso++/espresso++-9999.ebuild14
2 files changed, 14 insertions, 3 deletions
diff --git a/sci-physics/espresso++/ChangeLog b/sci-physics/espresso++/ChangeLog
index 922a67667..637498213 100644
--- a/sci-physics/espresso++/ChangeLog
+++ b/sci-physics/espresso++/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 09 Oct 2013; Christoph Junghans <ottxor@gentoo.org> espresso++-9999.ebuild:
+ sync with gx86
+
02 Aug 2013; Christoph Junghans <ottxor@gentoo.org> espresso++-9999.ebuild:
added hostfingerprint
diff --git a/sci-physics/espresso++/espresso++-9999.ebuild b/sci-physics/espresso++/espresso++-9999.ebuild
index 983a8c5a0..215714df3 100644
--- a/sci-physics/espresso++/espresso++-9999.ebuild
+++ b/sci-physics/espresso++/espresso++-9999.ebuild
@@ -6,7 +6,7 @@ EAPI=5
PYTHON_COMPAT=( python{2_6,2_7} )
-inherit cmake-utils python-single-r1
+inherit cmake-utils multilib python-single-r1
DESCRIPTION="extensible, flexible, fast and parallel simulation software for soft matter research"
HOMEPAGE="https://www.espresso-pp.de"
@@ -15,9 +15,12 @@ if [[ ${PV} = 9999 ]]; then
EHG_REPO_URI="https://hg.berlios.de/repos/espressopp"
EHG_REVISION="default"
inherit mercurial
+ KEYWORDS=
else
SRC_URI="https://espressopp.mpip-mainz.mpg.de/Download/${PN//+/p}-${PV}.tgz"
S="${WORKDIR}/${PN//+/p}-${PV}"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-macos"
+ PATCHES=( "${FILESDIR}/${P}-multilib.patch" )
fi
CMAKE_REMOVE_MODULES_LIST="FindBoost"
@@ -27,7 +30,6 @@ EHG_CLONE_CMD="hg clone ${EHG_QUIET_CMD_OPT} ${EHP_OPTS} --pull --noupdate"
EHG_PULL_CMD="hg pull ${EHG_QUIET_CMD_OPT} ${EHP_OPTS}"
LICENSE="GPL-3 !system-boost? ( Boost-1.0 )"
SLOT="0"
-KEYWORDS=""
IUSE="-system-boost"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
@@ -40,6 +42,12 @@ DEPEND="${RDEPEND}"
DOCS=( AUTHORS NEWS README )
src_configure() {
- mycmakeargs=( $(cmake-utils_use system-boost EXTERNAL_BOOST) )
+ mycmakeargs=( $(cmake-utils_use system-boost EXTERNAL_BOOST) -DLIB="$(get_libdir)" )
cmake-utils_src_configure
}
+
+src_install() {
+ cmake-utils_src_install
+ rm "${ED}/usr/bin/ESPRC" || die
+ rmdir "${ED}/usr/bin" || die
+}